import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:appconsent_tv/appconsent_tv.dart';
import 'package:appconsent_tv/consentable_type.dart';

void main() {
  const MethodChannel channel = MethodChannel('appconsent_tv');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return true;
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('consentGiven', () async {
    expect(await AppconsentTv.consentGiven, true);
  });

  test('geolocationConsentGiven', () async {
    expect(await AppconsentTv.geolocationConsentGiven, true);
  });

  test('isSubjectToGDPR', () async {
    expect(await AppconsentTv.isSubjectToGDPR, true);
  });

  test('consentableAllowed', () async {
    expect(await AppconsentTv.consentableAllowed(1, ConsentableType.feature),
        true);
  });
}
